%global srcname guessit

Name:           python-%{srcname}
Version:        2.1.4
Release:        1%{?dist}
Summary:        Python library that extracts as much information as possible from a video filename
License:        LGPLv3
URL:            https://guessit.readthedocs.org/
Source:         https://github.com/guessit-io/%{srcname}/archive/%{version}.tar.gz#/%{srcname}-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  python2-devel 
BuildRequires:  python3-devel
BuildRequires:  python2-sphinx
BuildRequires:  python2-pytest-runner
BuildRequires:  python3-pytest-runner
BuildRequires:  python2-rebulk
BuildRequires:  python3-rebulk
BuildRequires:  python2-babelfish
BuildRequires:  python3-babelfish

%global _description\
GuessIt is a python library that extracts as much information as possible from\
a video filename.\
\
It has a very powerful matcher that allows to guess properties from a video\
using its filename only. This matcher works with both movies and tv shows\
episodes.

%description %_description

%package -n python2-%{srcname}
Summary:        %summary
%{?python_provide:%python_provide python2-%{srcname}}
Requires:       python2-rebulk
Requires:       python2-six
Requires:       python2-dateutil
Requires:       python2-babelfish
Suggests:       %{name}-doc = %{version}-%{release}

%description -n python2-%{srcname} %_description

%package -n python3-%{srcname}
Summary:        %summary
%{?python_provide:%python_provide python3-%{srcname}}
Requires:       python3-rebulk
Requires:       python3-six
Requires:       python3-dateutil
Requires:       python3-babelfish
Suggests:       %{name}-doc = %{version}-%{release}

%description -n python3-%{srcname} %_description

%package doc
Summary:        Documentation for %{srcname} python library

%description doc
Documentation for %{srcname} python library

%prep
%autosetup -n %{srcname}-%{version}

%build
%py2_build
%py3_build
pushd docs
PYTHONPATH='..' %make_build text
PYTHONPATH='..' %make_build man
find . -type f -name '.buildinfo' -delete
popd

%install
%py2_install
%py3_install
install -D -m 0644 docs/_build/man/%{srcname}.1 %{buildroot}%{_mandir}/man1/%{srcname}.1

%check
%{__python2} setup.py test
%{__python3} setup.py test

%files -n python2-%{srcname}
%license LICENSE
%{python2_sitelib}/%{srcname}
%{python2_sitelib}/%{srcname}-%{version}-py*.egg-info

%files -n python3-%{srcname}
%license LICENSE
%{_bindir}/%{srcname}
%{python3_sitelib}/%{srcname}
%{python3_sitelib}/%{srcname}-%{version}-py*.egg-info

%files doc
%doc README.rst HISTORY.rst docs/_build/text
%{_mandir}/man1/%{srcname}.1*

%changelog
* Mon Aug 28 2017 Juan Orti Alcaine <jorti@fedoraproject.org> - 2.1.4-1
- Initial package
